## org.hibernate.ejb.criteria.expression.function
Class AggregationFunction.GREATEST<X extends Comparable<X>>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression<X>
                          org.hibernate.ejb.criteria.expression.function.ParameterizedFunctionExpression<T>
                              org.hibernate.ejb.criteria.expression.function.AggregationFunction<X>
                                  org.hibernate.ejb.criteria.expression.function.AggregationFunction.GREATEST<X>

All Implemented Interfaces:
  Serializable, javax.persistence.criteria.Expression<X>, javax.persistence.criteria.Selection<X>, TupleElement<X>, FunctionExpression<X>, ExpressionImplementor<X>, ParameterContainer, Renderable, SelectionImplementor<X>, TupleElementImplementor<X>

Enclosing class:
  AggregationFunction<T>

    public static class AggregationFunction.GREATEST<X extends Comparable<X>>

extends AggregationFunction<X>

Models the `MAX` function in terms of non-numeric expressions.

See Also:
  `AggregationFunction.MAX`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.criteria.expression.function.AggregationFunction
`AggregationFunction.AVG, AggregationFunction.COUNT, AggregationFunction.GREATEST<X extends Comparable<X>>, AggregationFunction.LEAST<X extends Comparable<X>>, AggregationFunction.MAX<N extends Number>, AggregationFunction.MIN<N extends Number>, AggregationFunction.SUM<N extends Number>`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary
`static String` `NAME`

Constructor Summary
`AggregationFunction.GREATEST(CriteriaBuilderImpl criteriaBuilder, javax.persistence.criteria.Expression<X> expression)`

Method Summary

Methods inherited from class org.hibernate.ejb.criteria.expression.function.AggregationFunction
`isAggregation`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.ParameterizedFunctionExpression
`getArgumentExpressions, properSize, registerParameters, render, renderArguments, wrapAsLiterals`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression
`getFunctionName, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.expression.function.FunctionExpression
`getFunctionName`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### AggregationFunction.GREATEST

    public AggregationFunction.GREATEST(CriteriaBuilderImpl criteriaBuilder,
                                        javax.persistence.criteria.Expression<X> expression)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.